# Class MessageEvent

java.lang.Object
com.codename1.ui.events.ActionEvent
com.codename1.ui.events.MessageEvent

public class MessageEvent extends ActionEvent
Encapsulates an event that either originates outside the App (e.g. from the webpage that contains the app if it is published using the Javascript port); or whose destination is outside the app.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `MessageEvent.PromptPromise`
  Encapsulates a promise that should be fulfilled when implementingn a custom permissions prompt to record or play audio.

  ### Nested classes/interfaces inherited from class ActionEvent

  `ActionEvent.Type`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageEvent(Object source, String message, int code)`
  Creates a new message.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getCode()`
  Gets the message code.
  `String`
  `getMessage()`
  Gets the message content.
  `MessageEvent.PromptPromise`
  `getPromptPromise()`
  This obtains the "promise" that should be fulfilled if implementing a custom permissions prompt for playing or recording audio.
  `boolean`
  `isPromptForAudioPlayer()`
  Checks to see if this message is a prompt to play audio.
  `boolean`
  `isPromptForAudioRecorder()`
  Checks to see if this message is a prompt to record audio.

  ### Methods inherited from class ActionEvent

  `consume, getActualComponent, getCommand, getComponent, getDraggedComponent, getDropTarget, getEventType, getKeyEvent, getPointerEvent, getProgress, getSource, getX, getY, isConsumed, isLongEvent, isPointerPressedDuringDrag, setPointerEvent, setPointerPressedDuringDrag`

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MessageEvent

    public MessageEvent(Object source, String message, int code)

    Creates a new message.

    ###### Parameters

    - `source`: The source of the message.

    - `message`: The message content.

    - `code`: A code for the message.

- ## Method Details

  - ### getMessage

    public String getMessage()

    Gets the message content.

    ###### Returns

    The message

  - ### getCode

    public int getCode()
    Gets the message code.

  - ### isPromptForAudioRecorder

    public boolean isPromptForAudioRecorder()

    Checks to see if this message is a prompt to record audio. This is currently only used in the Javascript port, and it allows you to implement a custom permissions prompt to record audio.

    See Displaying Custom Prompt to Play Audio for an example.

    ###### Returns

    True if this message is a prompt for the audio recorder.

  - ### isPromptForAudioPlayer

    public boolean isPromptForAudioPlayer()

    Checks to see if this message is a prompt to play audio. This is currently only used in the Javascript port, and it allows you to implement a custom permissions prompt to play audio.

    See Displaying Custom Prompt to Play Audio for an example.

    ###### Returns

    True if this message is a prompt for the audio player.

  - ### getPromptPromise

    public MessageEvent.PromptPromise getPromptPromise()

    This obtains the "promise" that should be fulfilled if implementing a custom permissions prompt for playing or recording audio. Currently this is only used for the Javascript port.

    See Displaying Custom Prompt to Play Audio for an example.

    ###### Returns

    The promise to be fulfilled, or null if this event is not a prompt.

    ###### See also

    - #isPromptForAudioPlayer()

    - #isPromptForAudioRecorder()